Modify

Opened 5 years ago

Closed 5 years ago

#10628 closed enhancement (fixed)

Regression: None instead of first image displayed after opening image files

Reported by: skyper Owned by: team
Priority: normal Milestone: 14.12
Component: Core image mapping Version: latest
Keywords: template_report regression Cc:

Description

What steps will reproduce the problem?

  1. start JOSM
  2. drag & drop some geotagged images
  3. (activate geotagged image toggle dialog)
  4. Geotagged image toggle dialog opens

What is the expected result?

The first image is directly displayed

What happens instead?

No image and no possibility to jump to the first within the dialog

Please provide any additional information below. Attach a screenshot if possible.

You need to either use the layer dialog or click on one image icon to get an image displayed and to be able to jump forward/backward.
Displaying the first was image used to work, maybe fixing #10427 in r7444 did change it.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-10-12 01:33:54
Last Changed Author: akks
Revision: 7609
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-10-11 17:27:50 +0200 (Sat, 11 Oct 2014)
Last Changed Rev: 7609

Identification: JOSM/1.5 (7609 en) Linux Debian GNU/Linux 7.6 (wheezy)
Memory Usage: 337 MB / 882 MB (110 MB allocated, but free)
Java version: 1.7.0_65, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u65-2.5.1-5~deb7u1

Plugins:
- OpeningHoursEditor (30609)
- conflation (0.1.7)
- download_along (30416)
- imagery-xml-bounds (30662)
- imagery_offset_db (30534)
- jts (30416)
- mirrored_download (30664)
- notes (v0.9.4)
- photoadjust (30428)
- reverter (30521)
- terracer (30643)
- todo (29154)
- undelete (30416)
- utilsplugin2 (30460)
- waydownloader (30693)
- wikipedia (30629)

Last errors/warnings:
- W: Detected deprecated 'canvas{background-color}' in 'https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip' which will be removed shortly. Use 'fill-color' instead.

Attachments (0)

Change History (9)

comment:1 Changed 5 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 7619/josm:

fix #10628 - display first image when adding first new geoimage layer

comment:2 Changed 5 years ago by Don-vip

Milestone: 14.10

comment:3 Changed 5 years ago by skyper

Resolution: fixed
Status: closedreopened

Do not know if it did every work the last weeks but apparently it does not work for me.
Opening images results in "No image" on grey backround instead of displaying the first one.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-12-16 02:34:51
Last Changed Author: bastiK
Revision: 7805
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-12-15 20:44:26 +0100 (Mon, 15 Dec 2014)
Last Changed Rev: 7805

Identification: JOSM/1.5 (7805 en) Linux Debian GNU/Linux 7.7 (wheezy)
Memory Usage: 340 MB / 882 MB (195 MB allocated, but free)
Java version: 1.7.0_65, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u71-2.5.3-2~deb7u1
Dataset consistency test: No problems found

Plugins:
- OpeningHoursEditor (30737)
- conflation (0.1.7)
- download_along (30762)
- imagery-xml-bounds (30735)
- imagery_offset_db (30808)
- jts (30762)
- mirrored_download (30762)
- notes (v0.9.5)
- photoadjust (30762)
- reverter (30737)
- terracer (30737)
- todo (29154)
- undelete (30762)
- utilsplugin2 (30762)
- waydownloader (30762)
- wikipedia (30780)

Last errors/warnings:
- E: Failed to locate image 'sac_scale_icon.svg'
- W: Mappaint style "standard" (sac_scale) icon "sac_scale_icon.svg" not found.

comment:4 Changed 5 years ago by Don-vip

I am pretty sure it was working, so it would be a new regression. Can you please test with versions r7643 and r7777?

comment:5 in reply to:  4 Changed 5 years ago by skyper

Replying to Don-vip:

I am pretty sure it was working, so it would be a new regression. Can you please test with versions r7643 and r7777?

No difference between r7620, r7643 and r7777. Always "no picture" and only grey buttons to jump to previous/next.

comment:6 Changed 5 years ago by Don-vip

I do not have any test data right now, could you please attach sample data to this ticket? (gpx+photos). Thanks.

comment:7 in reply to:  6 Changed 5 years ago by skyper

Replying to Don-vip:

I do not have any test data right now, could you please attach sample data to this ticket? (gpx+photos). Thanks.

See #551 for test data.
Storing some test data in the repository might be useful.

comment:8 Changed 5 years ago by Don-vip

Milestone: 14.1014.12

comment:9 Changed 5 years ago by Don-vip

Resolution: fixed
Status: reopenedclosed

In 7892/josm:

fix #10628 - display first image when adding first new geoimage layer, even when it is not the new active layer

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.